Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1517951

Summary: [REGRESSION] Incorrect flash message after adding Customization Template
Product: Red Hat CloudForms Management Engine Reporter: Leo Khomenko <lkhomenk>
Component: UI - OPSAssignee: Greg Piatigorski <gpiatigo>
Status: CLOSED CURRENTRELEASE QA Contact: Dave Johnson <dajohnso>
Severity: high Docs Contact:
Priority: high    
Version: 5.9.0CC: cpelland, gpiatigo, hkataria, jhardy, mpovolny, obarenbo
Target Milestone: GAKeywords: Regression, TestOnly
Target Release: 5.10.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 5.10.0.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1519983 (view as bug list) Environment:
Last Closed: 2018-06-21 20:52:40 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core
Bug Depends On:    
Bug Blocks: 1519983    

Description Leo Khomenko 2017-11-27 18:07:48 UTC
Description of problem:after https://bugzilla.redhat.com/show_bug.cgi?id=1477037
when one add Customization Template without Description - UI shows 'Customization Template "" was saved'


Version-Release number of selected component (if applicable):5.9.0.10


How reproducible:100%


Steps to Reproduce:
1.add Customization Template w/o Desctiption


Actual results: wrong flash message


Expected results: Customization Template "<Name>" was saved

Comment 5 Greg Piatigorski 2017-11-29 22:31:29 UTC
NOTE: Code fix will display either Template Name or Description in action confirmation message depending on whether Template Description exists or not. If no Template Description is available, default to Template Name display. This matches how rest of the application works.

Comment 6 CFME Bot 2017-12-01 16:29:57 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/0b0472dbe0ab35bacddb008ae1c2e0901b0de3aa

commit 0b0472dbe0ab35bacddb008ae1c2e0901b0de3aa
Author:     Greg Piatigorski <gpiatigo@gmail.com>
AuthorDate: Wed Nov 29 14:01:28 2017 -0800
Commit:     Greg Piatigorski <gpiatigo@gmail.com>
CommitDate: Thu Nov 30 13:36:20 2017 -0800

    Display Name/Description in confirmation messages for PXE Custom Templates
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1517951

 app/controllers/application_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)